Skip to main content
POST
/
0
/
private
/
WithdrawAddresses
Get withdraw addresses
curl --request POST \
  --url https://api.kraken.com/0/private/WithdrawAddresses \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'x-vault-id: <x-vault-id>' \
  --data '
{
  "nonce": 123,
  "aclass": "currency",
  "asset": "<string>",
  "method": "<string>",
  "key": "<string>",
  "verified": true
}
'
{
  "error": [
    {
      "severity": "E",
      "errorClass": "<string>",
      "type": "<string>",
      "errorMessage": "<string>"
    }
  ],
  "result": [
    {
      "verified": true,
      "address": "<string>",
      "asset": "<string>",
      "method": "<string>",
      "key": "<string>",
      "memo": "<string>",
      "tag": "<string>",
      "networks": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

x-vault-id
string
required

Vault ID or Vault IIBAN

Required string length: 12 - 19
Pattern: (^V[A-Z2-7]{12}[ACEGIKMOQSUWY246]$|AA[A-Z0-9]{2} ?[A-Z0-9]{4} ?[A-Z0-9]{4} ?[A-Z0-9]{4})

Query Parameters

preferred_asset_name
enum<string>
default:alt

The preferred asset name to use

Available options:
new,
alt

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

aclass
enum<string>
default:currency

Asset class of asset being withdrawn - defaults to Currency

Available options:
currency,
equity,
equity-pair,
forex,
nft,
volume
asset
string | null

The asset to query {?asset=}

Required string length: 1 - 16
method
string | null

The method used to withdraw to the address

key
string | null

Withdrawal key name, as set up on your account

verified
boolean | null

The verification status of the withdrawal address

Response

200 - application/json
error
object[]
required
result
object[] | null